PDA

View Full Version : Suite and Modify Operation



Johannes John
10-26-2011, 09:03 AM
Hello,

I don't get the Modify operation running.
Probably I'm doing something wrong:

Detection condition
Any
All
File exists
Path xxx.exe

Eligibility condition
Any
File Comparison
Path xxx.exe
Conversion Version
Comparison LessThan
Compare To 2.0.0.1

The file version of the file in the path is 1.0.0.0 .

Thanks in advance.
Johannes

rguggisberg
10-26-2011, 09:59 AM
Several of us seem to be having difficulty regarding conditions. I know there are numerous articles and posts on this topic and I have been there... read those, but just have not gotten my brain wrapped around this concept. Perhaps it needs to be explained from another perspective or the explanation expanded in some way.

MichaelU
10-26-2011, 12:33 PM
Johannes: what happens in your scenario and what do you expect (or desire) instead? Does the verbose log indicate the states of the packages that you expect? Do the command lines do what you want if you run them manually?

rguggisberg: which parts are still confusing? Is it the logic tree aspect with the condition groups, the conditions themselves (how do I check a registry key for something), and/or the way you use them in various locations (eligibility, detection, feature, exit)?

Johannes John
10-27-2011, 02:23 AM
Hello Michael,

The EXE, where the version is checked and the EXE, which is part of the installation, which I'm starting, are not the same.
The EXE in the Install Operation is started, when the check EXE doesn't exist.
But the EXE in the Build Operation isn't startet, if a check EXE with a file version less than 2... exists.
I hope the help text to Modify Operation ( Chapter 1, sentence 2: "The Modify Operation is applicable...installed.") is correct.

If your hint to "verbose log" belongs to the suite runtime, I need help, where to control the logging.

Thanks
Johannes

MichaelU
10-27-2011, 03:34 PM
For information on logging, see Troubleshooting Issues by Logging a Suite Installation (http://blogs.flexerasoftware.com/installtalk/2011/10/troubleshooting-issues-by-logging-a-suite-installation.html). Also, Defining Conditions for a Suite Installation (http://blogs.flexerasoftware.com/installtalk/2011/10/defining-conditions-for-a-suite-installation.html) has some relevant information, as does the subsequent article 6 Best Practice Tips for Defining Conditions in a Suite Project (http://blogs.flexerasoftware.com/installtalk/2011/10/6-best-practice-tips-for-defining-conditions-in-a-suite-project.html).

If I understand what you're describing correctly, you've set up your package to be eligible only if a given exe is on the machine with a version less than 2.0.0.1. However it is detected as present on the machine if that exe is present at any version. I'm not quite sure what you want this to do, but I think you may have it reversed. Instead detection should require a version match (or a version range match); eligibile should be either the file's missing or it has a low enough version (a range including what you will install).

This might look like
Detection:
All
File Exists: Path=xxx.exe
File Comparison: Path=xxx.exe, Conversion=Version, Comparison=GreaterEqual, Value=1.0.0.0

Eligible:
None
All
File Exists: Path=xxx.exe
File Comparison: Path=xxx.exe, Conversion=Version, Comparison=GreaterEqual, Value=2.0.0.0

Johannes John
10-28-2011, 04:03 AM
Hello Michael,

I've understood, that I've a fundamental problem.
I will open a new thread.